## org.jvnet.maven.plugin.antrun
Class DependencyExclusionFilter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.jvnet.maven.plugin.antrun.GraphFilter
              org.jvnet.maven.plugin.antrun.DependencyExclusionFilter

All Implemented Interfaces:
  java.lang.Cloneable

    public class DependencyExclusionFilter

extends GraphFilter

Filters out a graph by honoring dependency exclusion.

A care is taken to handle a diamond dependency with exclusion correctly. For example, in the following situation X shouldn't be excluded because there's a valid reachable path to X.

       A -+-> B[exclude=X] -+
          |                 |
          +-> C ------------+-> D ---> X

Author:
  Kohsuke Kawaguchi

Field Summary

Fields inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`children`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`DependencyExclusionFilter()`

Method Summary
`DependencyGraph` `filter(DependencyGraph g)`
`DependencyGraph` `process()`

Methods inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`add, evaluateChild, evaluateChild`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependencyExclusionFilter

    public DependencyExclusionFilter()

Method Detail

### process

    public DependencyGraph process()

  Specified by:
    `process` in class `GraphFilter`

### filter

    public DependencyGraph filter(DependencyGraph g)

Copyright © 2011. All Rights Reserved.